Bug 24282 - SCSS conversion broke style in search results item status
Summary: SCSS conversion broke style in search results item status
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Fridolin SOMERS
QA Contact: Testopia
URL:
Keywords:
: 24234 (view as bug list)
Depends on:
Blocks:
 
Reported: 2019-12-20 07:39 UTC by Fridolin SOMERS
Modified: 2020-01-15 22:08 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.05.07


Attachments
Bug 24282: SCSS conversion broke style in search results item status (2.24 KB, patch)
2019-12-20 07:45 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Bug 24282: SCSS conversion broke style in search results item status (2.30 KB, patch)
2019-12-23 23:07 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 24282: SCSS conversion broke style in search results item status (2.30 KB, patch)
2019-12-29 15:32 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin SOMERS 2019-12-20 07:39:16 UTC
Before SCSS conversion, there was a style for search results item status :
  #searchresults span.status {
Conversion to SCSS added ul :
  #searchresults ul span.status {
Now style does not apply anymore.
You can see that items on loan are not red anymore.
Comment 1 Fridolin SOMERS 2019-12-20 07:45:16 UTC
Created attachment 96505 [details] [review]
Bug 24282: SCSS conversion broke style in search results item status

Before SCSS conversion, there was a style for search results item status :
  #searchresults span.status {
Conversion to SCSS added ul :
  #searchresults ul span.status {
Now style does not apply anymore.
You can see that items on loan are not red anymore.

To test, apply the patch and regenerate your CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).
Clear your browser cache if necessary.

All rules using #searchresults in 17.11 :
    font-size : 90%;
    list-style: url(../img/item-bullet.gif);
    padding : .2em 0;
        clear : left;
}

    clear : left;
    color : #900;
    display : block;
}

    clear : left;
    display : block;
}

    display : block;
}

    float : left;
    margin : 3px 5px 3px -5px;
}

    vertical-align : top;
}

Apply patch update intranet CSS file and check you see the same rules.
Comment 2 Lucas Gass 2019-12-23 23:07:46 UTC
Created attachment 96620 [details] [review]
Bug 24282: SCSS conversion broke style in search results item status

Before SCSS conversion, there was a style for search results item status :
  #searchresults span.status {
Conversion to SCSS added ul :
  #searchresults ul span.status {
Now style does not apply anymore.
You can see that items on loan are not red anymore.

To test, apply the patch and regenerate your CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).
Clear your browser cache if necessary.

All rules using #searchresults in 17.11 :
    font-size : 90%;
    list-style: url(../img/item-bullet.gif);
    padding : .2em 0;
        clear : left;
}

    clear : left;
    color : #900;
    display : block;
}

    clear : left;
    display : block;
}

    display : block;
}

    float : left;
    margin : 3px 5px 3px -5px;
}

    vertical-align : top;
}

Apply patch update intranet CSS file and check you see the same rules.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 3 Katrin Fischer 2019-12-29 15:32:47 UTC
Created attachment 96672 [details] [review]
Bug 24282: SCSS conversion broke style in search results item status

Before SCSS conversion, there was a style for search results item status :
  #searchresults span.status {
Conversion to SCSS added ul :
  #searchresults ul span.status {
Now style does not apply anymore.
You can see that items on loan are not red anymore.

To test, apply the patch and regenerate your CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).
Clear your browser cache if necessary.

All rules using #searchresults in 17.11 :
    font-size : 90%;
    list-style: url(../img/item-bullet.gif);
    padding : .2em 0;
        clear : left;
}

    clear : left;
    color : #900;
    display : block;
}

    clear : left;
    display : block;
}

    display : block;
}

    float : left;
    margin : 3px 5px 3px -5px;
}

    vertical-align : top;
}

Apply patch update intranet CSS file and check you see the same rules.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 4 Katrin Fischer 2019-12-29 15:34:09 UTC
*** Bug 24234 has been marked as a duplicate of this bug. ***
Comment 5 Martin Renvoize 2020-01-02 12:19:25 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 6 Lucas Gass 2020-01-15 18:37:36 UTC
backported to 19.05.x for 19.05.07